CREATE TABLE CLIENTE
(
    ID_CLIENTE INT PRIMARY KEY IDENTITY(1,1),
    UNIQUE_ID UNIQUEIDENTIFIER NOT NULL DEFAULT NEWSEQUENTIALID(),
    NM_CLIENTE VARCHAR(50) NOT NULL,
    ALIAS VARCHAR(20) NOT NULL UNIQUE,
    TEMPO_VIGENCIA_CACHE_VEICULO INT NOT NULL,
    ATIVO BIT NOT NULL,
    DTH_CADASTRO DATETIME NOT NULL
)

CREATE TABLE CLIENTE_CICLO_USO
(
    ID_CLIENTE_CICLO_USO INT PRIMARY KEY IDENTITY(1,1),
    DTH_INICIO DATETIME NOT NULL,
    DTH_FIM DATETIME NOT NULL,
    QTD_ACESSO INT NOT NULL,
    QTD_ACESSO_TOTAL INT NOT NULL,
    TEMPO_VIGENCIA INT NOT NULL,
    RENOVACAO_AUTO BIT NOT NULL,
    SITUACAO INT NOT NULL,
    OBSERVACAO VARCHAR(1000) NULL,
    ID_CLIENTE INT NOT NULL,

    FOREIGN KEY (ID_CLIENTE) REFERENCES CLIENTE(ID_CLIENTE)
)

CREATE TABLE HST_ATUALIZACAO_CLIENTE
(
    ID_HST_ATUALIZACAO_CLIENTE INT PRIMARY KEY IDENTITY(1,1),
    NM_LOGIN VARCHAR(30) NOT NULL,
    DTH_ATUALIZACAO DATETIME NOT NULL,
    NM_ANTIGO VARCHAR(50) NOT NULL,
    NM_NOVO VARCHAR(50) NOT NULL,
    TEMPO_VIGENCIA_ANTIGO INT NOT NULL,
    TEMPO_VIGENCIA_NOVO INT NOT NULL,
    ATIVO_ANTIGO BIT NOT NULL,
    ATIVO_NOVO BIT NOT NULL,
    ID_CLIENTE INT NOT NULL,

    FOREIGN KEY (ID_CLIENTE) REFERENCES CLIENTE(ID_CLIENTE)
)

CREATE TABLE LOG
(
    ID_LOG INT PRIMARY KEY IDENTITY(1,1),
    USUARIO VARCHAR(20) NOT NULL,
    IDENTIFICADOR VARCHAR(100) NOT NULL,
    DTH_CADASTRO DATETIME NOT NULL,
    LATITUDE VARCHAR(50) NULL,
    LONGITUDE VARCHAR(50) NULL,
    TIPO INT NOT NULL,
    VALOR VARCHAR(5000) NULL,
    ID_CLIENTE INT NOT NULL,

    FOREIGN KEY (ID_CLIENTE) REFERENCES CLIENTE(ID_CLIENTE)
)

CREATE TABLE VEICULO
(
    ID_VEICULO INT PRIMARY KEY IDENTITY(1,1),
    UF VARCHAR(2) NULL,
    ANO VARCHAR(10) NULL,
    CMT VARCHAR(100) NULL,
    COR VARCHAR(20) NULL,
    PBT VARCHAR(100) NULL,
    PLACA VARCHAR(20) NOT NULL,
    CHASSI VARCHAR(50) NOT NULL,
    MOTOR VARCHAR(50) NULL,
    POTENCIA VARCHAR(50) NULL,
    MUNICIPIO VARCHAR(50) NULL,
    CILINDRADA VARCHAR(20) NULL,
    COMBUSTIVEL VARCHAR(20) NULL,
    PROCEDENCIA VARCHAR(20) NULL,
    MARCA_MODELO VARCHAR(30) NULL,
    TIPO VARCHAR(20) NULL,
    CAPACIDADE_CARGA VARCHAR(20) NULL,
    QTD_EIXO VARCHAR(10) NULL,
    QTD_PASSAGEIRO VARCHAR(10) NULL,
    DTH_ULTIMA_CONSULTA DATETIME NULL
)